App\Library\Amazon\Classes\Motherboard:
    xml_root_name: Motherboard
    properties:
        variationData:
            expose: true
            access_type: public_method
            serialized_name: VariationData
            accessor:
                getter: getVariationData
                setter: setVariationData
            type: App\Library\Amazon\Classes\VariationData
        additionalFeatures:
            expose: true
            access_type: public_method
            serialized_name: AdditionalFeatures
            accessor:
                getter: getAdditionalFeatures
                setter: setAdditionalFeatures
            type: App\Library\Amazon\Classes\AdditionalFeatures
        cPUSocketType:
            expose: true
            access_type: public_method
            serialized_name: CPUSocketType
            accessor:
                getter: getCPUSocketType
                setter: setCPUSocketType
            type: App\Library\Amazon\Classes\CPUSocketType
        frontSideBusSpeed:
            expose: true
            access_type: public_method
            serialized_name: FrontSideBusSpeed
            accessor:
                getter: getFrontSideBusSpeed
                setter: setFrontSideBusSpeed
            type: App\Library\Amazon\Classes\FrontSideBusSpeed
        graphicsCardInterface:
            expose: true
            access_type: public_method
            serialized_name: GraphicsCardInterface
            accessor:
                getter: getGraphicsCardInterface
                setter: setGraphicsCardInterface
            xml_list:
                inline: true
                entry_name: GraphicsCardInterface
            type: array<App\Library\Amazon\Classes\GraphicsCardInterface>
        hDMIPorts:
            expose: true
            access_type: public_method
            serialized_name: HDMIPorts
            accessor:
                getter: getHDMIPorts
                setter: setHDMIPorts
            type: App\Library\Amazon\Classes\HDMIPorts
        integratedAudioChannels:
            expose: true
            access_type: public_method
            serialized_name: IntegratedAudioChannels
            accessor:
                getter: getIntegratedAudioChannels
                setter: setIntegratedAudioChannels
            type: App\Library\Amazon\Classes\IntegratedAudioChannels
        maxEthernetSpeed:
            expose: true
            access_type: public_method
            serialized_name: MaxEthernetSpeed
            accessor:
                getter: getMaxEthernetSpeed
                setter: setMaxEthernetSpeed
            type: App\Library\Amazon\Classes\MaxEthernetSpeed
        maxMemorySupported:
            expose: true
            access_type: public_method
            serialized_name: MaxMemorySupported
            accessor:
                getter: getMaxMemorySupported
                setter: setMaxMemorySupported
            type: App\Library\Amazon\Classes\MaxMemorySupported
        memoryStandard:
            expose: true
            access_type: public_method
            serialized_name: MemoryStandard
            accessor:
                getter: getMemoryStandard
                setter: setMemoryStandard
            type: App\Library\Amazon\Classes\MemoryStandard
        modelNumber:
            expose: true
            access_type: public_method
            serialized_name: ModelNumber
            accessor:
                getter: getModelNumber
                setter: setModelNumber
            type: App\Library\Amazon\Classes\ModelNumber
        motherboardFormFactor:
            expose: true
            access_type: public_method
            serialized_name: MotherboardFormFactor
            accessor:
                getter: getMotherboardFormFactor
                setter: setMotherboardFormFactor
            type: App\Library\Amazon\Classes\MotherboardFormFactor
        multiGPUTechnology:
            expose: true
            access_type: public_method
            serialized_name: MultiGPUTechnology
            accessor:
                getter: getMultiGPUTechnology
                setter: setMultiGPUTechnology
            type: App\Library\Amazon\Classes\MultiGPUTechnology
        northbridge:
            expose: true
            access_type: public_method
            serialized_name: Northbridge
            accessor:
                getter: getNorthbridge
                setter: setNorthbridge
            type: App\Library\Amazon\Classes\Northbridge
        numberOfeSATAPorts:
            expose: true
            access_type: public_method
            serialized_name: NumberOfeSATAPorts
            accessor:
                getter: getNumberOfeSATAPorts
                setter: setNumberOfeSATAPorts
            type: App\Library\Amazon\Classes\NumberOfeSATAPorts
        numberOfEthernetPorts:
            expose: true
            access_type: public_method
            serialized_name: NumberOfEthernetPorts
            accessor:
                getter: getNumberOfEthernetPorts
                setter: setNumberOfEthernetPorts
            type: App\Library\Amazon\Classes\NumberOfEthernetPorts
        numberOfFireWire400Ports:
            expose: true
            access_type: public_method
            serialized_name: NumberOfFireWire400Ports
            accessor:
                getter: getNumberOfFireWire400Ports
                setter: setNumberOfFireWire400Ports
            type: App\Library\Amazon\Classes\NumberOfFireWire400Ports
        numberOfFireWire800Ports:
            expose: true
            access_type: public_method
            serialized_name: NumberOfFireWire800Ports
            accessor:
                getter: getNumberOfFireWire800Ports
                setter: setNumberOfFireWire800Ports
            type: App\Library\Amazon\Classes\NumberOfFireWire800Ports
        numberOfIDEPorts:
            expose: true
            access_type: public_method
            serialized_name: NumberOfIDEPorts
            accessor:
                getter: getNumberOfIDEPorts
                setter: setNumberOfIDEPorts
            type: App\Library\Amazon\Classes\NumberOfIDEPorts
        numberOfMemorySlots:
            expose: true
            access_type: public_method
            serialized_name: NumberOfMemorySlots
            accessor:
                getter: getNumberOfMemorySlots
                setter: setNumberOfMemorySlots
            type: App\Library\Amazon\Classes\NumberOfMemorySlots
        numberOfPCIExpressSlots:
            expose: true
            access_type: public_method
            serialized_name: NumberOfPCIExpressSlots
            accessor:
                getter: getNumberOfPCIExpressSlots
                setter: setNumberOfPCIExpressSlots
            type: App\Library\Amazon\Classes\NumberOfPCIExpressSlots
        numberOfSATAPorts:
            expose: true
            access_type: public_method
            serialized_name: NumberOfSATAPorts
            accessor:
                getter: getNumberOfSATAPorts
                setter: setNumberOfSATAPorts
            type: App\Library\Amazon\Classes\NumberOfSATAPorts
        numberOfUSBPorts:
            expose: true
            access_type: public_method
            serialized_name: NumberOfUSBPorts
            accessor:
                getter: getNumberOfUSBPorts
                setter: setNumberOfUSBPorts
            type: App\Library\Amazon\Classes\NumberOfUSBPorts
        onboardVideo:
            expose: true
            access_type: public_method
            serialized_name: OnboardVideo
            accessor:
                getter: getOnboardVideo
                setter: setOnboardVideo
            type: App\Library\Amazon\Classes\OnboardVideo
        sATARAID:
            expose: true
            access_type: public_method
            serialized_name: SATARAID
            accessor:
                getter: getSATARAID
                setter: setSATARAID
            type: App\Library\Amazon\Classes\SATARAID
        sATAStandardsSupported:
            expose: true
            access_type: public_method
            serialized_name: SATAStandardsSupported
            accessor:
                getter: getSATAStandardsSupported
                setter: setSATAStandardsSupported
            xml_list:
                inline: true
                entry_name: SATAStandardsSupported
            type: array<App\Library\Amazon\Classes\SATAStandardsSupported>
        southbridge:
            expose: true
            access_type: public_method
            serialized_name: Southbridge
            accessor:
                getter: getSouthbridge
                setter: setSouthbridge
            type: App\Library\Amazon\Classes\Southbridge
        sPDIFOutput:
            expose: true
            access_type: public_method
            serialized_name: SPDIFOutput
            accessor:
                getter: getSPDIFOutput
                setter: setSPDIFOutput
            type: App\Library\Amazon\Classes\SPDIFOutput
        typeOfMemorySlot:
            expose: true
            access_type: public_method
            serialized_name: TypeOfMemorySlot
            accessor:
                getter: getTypeOfMemorySlot
                setter: setTypeOfMemorySlot
            type: App\Library\Amazon\Classes\TypeOfMemorySlot
        uSBPortType:
            expose: true
            access_type: public_method
            serialized_name: USBPortType
            accessor:
                getter: getUSBPortType
                setter: setUSBPortType
            type: App\Library\Amazon\Classes\USBPortType
        voltage:
            expose: true
            access_type: public_method
            serialized_name: Voltage
            accessor:
                getter: getVoltage
                setter: setVoltage
            type: App\Library\Amazon\Classes\Voltage
        wattage:
            expose: true
            access_type: public_method
            serialized_name: Wattage
            accessor:
                getter: getWattage
                setter: setWattage
            type: App\Library\Amazon\Classes\Wattage
